当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [讨论] 新内核有什么更新
帖子发表于 : 2008-05-03 15:30 
头像

注册: 2008-04-27 12:15
帖子: 1026
送出感谢: 0 次
接收感谢: 0 次
今天看到内核升级到.17
想知道这个版本有什么更新

PS.怎么删除旧内核


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-03 15:35 

注册: 2006-04-11 9:01
帖子: 723
送出感谢: 0 次
接收感谢: 0 次
咦,我这怎么没有更新?
删除旧内核就直接在新立得里找到跟前面版本相关的image什么的删掉就可以了。menu.lst会自动更新的。
貌似ubuntu现在已经会自动替换旧内核了。


_________________
I would love to change the world, but they won't give me the source code.
http://hi.baidu.com/wienerlee


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-03 15:36 
头像

注册: 2007-03-15 16:58
帖子: 2796
地址: 湖北武汉
送出感谢: 2
接收感谢: 4
同意二楼,原来需要自己删,现在好了。

删除旧内核的方法如下:

[tc@ibm:~]$ dpkg --get-selections|grep linux

  libselinux1 install

  linux-386 install

  linux-image-2.6.15-23-386 install

  linux-image-2.6.15-27-386 install

  linux-image-2.6.15-27-686 install

  linux-image-2.6.15-28-386 install

  linux-image-2.6.15-28-686 deinstall

  linux-image-386 install

  linux-kernel-headers install

  linux-restricted-modules-2.6.15-23-386 install

  linux-restricted-modules-2.6.15-27-386 install

  linux-restricted-modules-2.6.15-27-686 install

  linux-restricted-modules-2.6.15-28-386 install

  linux-restricted-modules-2.6.15-28-686 deinstall

  linux-restricted-modules-386 install

  linux-restricted-modules-common install

  linux-sound-base install

  util-linux install

  具体的卸载方法为

  sudo apt-get remove linux-image-2.6.15-23-386

  这样就可以实现自动删除内核文件了,还可以释放磁盘空间。

  另外还要记录一个命令。

  uname -a

  使用这个命令可以查看当前系统使用的内核。


_________________
引用:


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-03 15:39 
头像

注册: 2006-05-24 21:38
帖子: 685
地址: 上海
送出感谢: 0 次
接收感谢: 0 次
我的经验是一般保留两个内核比较好,因为就你今天更新了17的内核后我的VBOX就不能用了,只能回到16的内核上。呵呵。


_________________
我只是一个ARCH的FANS,来自RH和UBUNTU的滋润!


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-05-03 15:40 
头像

注册: 2007-03-15 16:58
帖子: 2796
地址: 湖北武汉
送出感谢: 2
接收感谢: 4
楼上的旧内核没有自动删除?!


_________________
引用:


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-05-03 15:43 
头像

注册: 2008-04-27 12:15
帖子: 1026
送出感谢: 0 次
接收感谢: 0 次
我不会看现在有什么内核
但是在GRUB里确实有两个版本的选项


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-05-03 15:57 

注册: 2006-04-11 9:01
帖子: 723
送出感谢: 0 次
接收感谢: 0 次
elaomai 写道:
我不会看现在有什么内核
但是在GRUB里确实有两个版本的选项

看现在的内核:
代码:
uname -a


_________________
I would love to change the world, but they won't give me the source code.
http://hi.baidu.com/wienerlee


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-03 15:59 
头像

注册: 2008-04-27 12:15
帖子: 1026
送出感谢: 0 次
接收感谢: 0 次
引用:
看现在的内核:
代码:
uname -a


关键是现在有什么内核


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-05-03 20:43 

注册: 2007-11-12 18:09
帖子: 146
地址: 四川
送出感谢: 0 次
接收感谢: 0 次
我中招了!升级内核之后,变来超级慢!所有gnome的程序都超级慢!kde的就没有事!郁闷中!开始还进不到2.6.24-17-generic,痛苦啊!快点修复啊!


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-05-03 21:13 
头像

注册: 2007-08-30 5:39
帖子: 1670
送出感谢: 0 次
接收感谢: 0 次
cnshzj007 写道:
我的经验是一般保留两个内核比较好,因为就你今天更新了17的内核后我的VBOX就不能用了,只能回到16的内核上。呵呵。


汗。。。用这个就可以用了。
代码:
sudo /etc/init.d/vboxdrv setup


_________________
深度,值得深入!
http://bbs.deepin.org/?u=348684

最新的综艺魔法相册
http://www.77studio.net/?fromuid=344


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-05-03 21:27 

注册: 2006-04-11 9:01
帖子: 723
送出感谢: 0 次
接收感谢: 0 次
elaomai 写道:
关键是现在有什么内核

那直接cat /boot/grub/menu.lst就是了,或者:
代码:
dpkg -l | grep linux-image


_________________
I would love to change the world, but they won't give me the source code.
http://hi.baidu.com/wienerlee


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-05-04 0:00 

注册: 2005-03-28 0:48
帖子: 156
地址: 辽宁抚顺
送出感谢: 0 次
接收感谢: 0 次
我在删除旧内核2.6.24-16的时候最后提示“ 子进程 post-removal script 返回了错误号 1“。用了好多方法都删除不了,从新安装再删除也无效。请朋友帮帮忙,解决一下


_________________
LINUXMINT中文组
http://groups.google.com/group/linux-mint-zh-CN


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译